# nano
Nanoengineering (Course 10.585)  project on LaMer burst nucleation

To run the notebooks, first run
> pip3 install .


## File structure
```bash
.
├── README.md
├── data
│   ├── external  # data sourced wholly outside of this project
│   │   ├── clean  # data cleaned by the code or collated manually and ready for use
│   │   ├── raw  # data extracted from the sources as is (via code, 3rd party tools, etc)
│   │   └── sources  # copies of data sources
│   └── internal  # data which has been manipulated non-trivially during the project
│       └── analysis  # initial analysis of the existing data which prepares it for use
├── notebooks
│   ├── 1_data_handling  # obtaining the data in a usable form
│   │   ├── 1.1_extract.ipynb
│   │   └── 1.2_cleaning.ipynb
│   └── 2_EDA  # exploratory data analysis before fitting the data
│       ├── 2.1_general_analysis.ipynb
│       └── 2.2_CNT_predictions.ipynb
├── requirements.txt  # results from "pip freeze"
├── requirements.yml  # results from "conda env export"
├── setup.py
└── src  # module for useful code
    ├── functions.py
    ├── globalvars.py
    └── viz
        ├── niceplot.mplstyle
        └── viz.py
```
