import os
import pandas as pd

## project name
name = 'nano'

## paths
callpath = os.path.abspath('')
homepath = callpath.rsplit(name)[0] + name
datpath = os.path.abspath(homepath + '/data')
nbpath = os.path.abspath(homepath + '/notebooks')
figpath = os.path.abspath(homepath + '/figures')

## universal physical constants (with units in the form numerator_denominator)
consts = pd.DataFrame(columns=['val','units'])
consts.loc['kb'] = [1.380649e-23,'J_K']  # Boltzmann's constant
consts.loc['NA'] = [6.02214086e23,'_mol']  # Avogadro's constant
consts.loc['R'] = [8.31446261815324,'J_mol1K']  # Avogadro's constant
consts.loc['M_S'] = [32.065, 'g_mol']  # molar mass of sulfur